# This file contains constant variables that are fixed to this project

# Version
Set                                 ( CPPCURL_VERSION_MAJOR           1 )
Set                                 ( CPPCURL_VERSION_MINOR           0 )
Set                                 ( CPPCURL_VERSION_PATCH           0 )
Set                                 ( CPPCURL_VERSION_BUILD           0 )
Set                                 ( CPPCURL_VERSION_HASH            "" )
Set                                 ( CPPCURL_VERSION_BEHIND          0 )
Set                                 ( CPPCURL_VERSION_DIRTY           0 )

# Names
Set                                 ( CPPCURL_PROJECT_NAME            "cppcurl" )
Set                                 ( CPPCURL_PROJECT_DESCRIPTION     "C++ wrapper library for curl." )

# Include generated variables for further usage
Include                             ( ${CMAKE_CURRENT_LIST_DIR}/cppcurl-var.cmake )

# Install directories
Set                                 ( CPPCURL_INSTALL_DIR_INCLUDE     "${CMAKE_INSTALL_INCLUDEDIR}/${CPPCURL_NAME}" )
Set                                 ( CPPCURL_INSTALL_DIR_LIB         "${CMAKE_INSTALL_LIBDIR}" )
Set                                 ( CPPCURL_INSTALL_DIR_SHARE       "${CMAKE_INSTALL_DATAROOTDIR}/${CPPCURL_NAME}" )

# C Standard
Set                                 ( CMAKE_C_STANDARD                      11 )
Set                                 ( CMAKE_CXX_STANDARD                    17 )
Set                                 ( CMAKE_C_STANDARD_REQUIRED             ON )
Set                                 ( CMAKE_CXX_STANDARD_REQUIRED           ON )
