# This file contains generated variables that are needed for the project

# Git Version
If                                  ( CPPCURL_USE_GIT_VERSION )
    Include                             ( git_helper OPTIONAL RESULT_VARIABLE HAS_GIT_HELPER )
    If                                  ( HAS_GIT_HELPER )
        GitGetVersion                       ( ${CMAKE_CURRENT_LIST_DIR}/..
                                                CPPCURL_VERSION_MAJOR
                                                CPPCURL_VERSION_MINOR
                                                CPPCURL_VERSION_PATCH
                                                CPPCURL_VERSION_BUILD
                                                CPPCURL_VERSION_HASH
                                                CPPCURL_VERSION_BEHIND
                                                CPPCURL_VERSION_DIRTY )
    EndIf                               ( )
EndIf                               ( )

# Strings
Set                                 ( CPPCURL_VERSION_SHORT
                                      "${CPPCURL_VERSION_MAJOR}.${CPPCURL_VERSION_MINOR}" )
Set                                 ( CPPCURL_VERSION
                                      "${CPPCURL_VERSION_SHORT}.${CPPCURL_VERSION_PATCH}.${CPPCURL_VERSION_BUILD}" )
Set                                 ( CPPCURL_VERSION_COMPLETE
                                      "${CPPCURL_VERSION}" )
Set                                 ( CPPCURL_NAME
                                      "${CPPCURL_PROJECT_NAME}-${CPPCURL_VERSION_SHORT}" )
Set                                 ( CPPCURL_OUTPUTNAME
                                      "${CPPCURL_PROJECT_NAME}" )
If                                  ( CPPCURL_VERSION_BEHIND )
    Set                                 ( CPPCURL_VERSION_COMPLETE
                                          "${CPPCURL_VERSION_COMPLETE}+${CPPCURL_VERSION_BEHIND}" )
EndIf                               ( )
