#pragma once

namespace cppcurl
{

    /**
     * @brief Initializes libcurl.
     */
    struct global
    {
    public:
        /**
         * @brief Constructor.
         */
        inline global();

        /**
         * @brief Destructor.
         */
        inline ~global();

    public:
        /**
         * @brief Get the initialization state of cppcurl.
         */
        static inline bool is_initialized();

    private:
        /**
         * @brief Get the counter of initialized instances.
         */
        static inline int& counter();
    };

}

#include "global.inl"
